# class DBus::IntrospectXMLParser::AbstractXML

### Public Class Methods

have_nokogiri?() click to toggle source

    # File lib/dbus/xml.rb, line 34
    def self.have_nokogiri?
      Object.const_defined?("Nokogiri")
    end

new(xml) click to toggle source

required methods initialize parser with xml string

    # File lib/dbus/xml.rb, line 53
    def initialize(xml)
    end

### Public Instance Methods

each(xpath) click to toggle source

yields nodes which match xpath of type AbstractXML::Node

    # File lib/dbus/xml.rb, line 57
    def each(xpath)
    end